# shared package configuration settings for applications in KHMedia
##### Common #####

# folder to store user specific configuration
user_cfg_folder = "~/.khmedia"

# khmedia config file
config_file = "khmedia_config.xml"

# khmedia example config resource
example_config_resource = "khmedia_config.example.xml"

# location of the khsystem_need_config file
khsystem_need_config = "~/.khsystem_config_needed"

##### Player #####

#default folders to look for song files (last in line is the fallback folder that will be created if none are existing)
default_song_folders =  ["/usr/share/khmedia/songs","/usr/local/share/khmedia/songs","~/Songs"]

#default folders to look for background music files (last in line is the fallback folder that will be created if none are existing)
default_music_folders = ["/usr/share/khmedia/music","/usr/local/share/khmedia/music","~/Music"]

# files that are considered playable music files
music_extensions = [".mp3",".wav",".ogg",".m4b",".m4a"]

# default volume for song playback (Linear 0.0 <= value <= 1.0 )
default_song_volume = 0.5

# default volume for music playback (Linear 0.0 <= value <= 1.0 )
default_music_volume = 0.12

##### Recorder #####

#default folder to store recordings
# You can use the following replacements
# {XDG_DESKTOP_DIR}
# {XDG_DOWNLOAD_DIR}
# {XDG_TEMPLATES_DIR}
# {XDG_PUBLICSHARE_DIR}
# {XDG_DOCUMENTS_DIR}
# {XDG_MUSIC_DIR}
# {XDG_PICTURES_DIR}
# {XDG_VIDEOS_DIR}

# lowercase text between brackets is replaced by the corresponding text in the 
# currently loaded translation table
# e.g. {something} can be replaced by "Something" or "Iets" if that is defined in the 
# translation tabled
default_recordings_folder = "{XDG_DESKTOP_DIR}/{dir_recordings}"

